﻿
--Definicion del namespace

local _,LondCDiceGlobals = ...
--------------------------
function registerSlash()
    SLASH_LondCDice1 = "/londc"
    SlashCmdList["LondCDice"] = function(msg)
        if msg=="mostrar" then
            LondCDiceGlobals.slash_mostrar()
        end
        if msg=="reset" then
            LondCDiceGlobals.slash_reset()
        end
        if msg == "hp" then
            LondCDiceGlobals.slash_hp()
        end
        if msg == "master" then
            LondCDiceGlobals.slash_master()
        end
        if msg == "resetmaster" then
            LondCDiceGlobals.slash_resetMaster()
        end
        if msg == "" then
            print("[|cFFFF0000LondCDice|r] |cFFFFFF00/londc|r Muestra esta ayuda")
            print("[|cFFFF0000LondCDice|r] |cFFFFFF00/londc mostrar|r Vuelve a mostrar la ventana principal del addon en caso de haberla cerrado")
            print("[|cFFFF0000LondCDice|r] |cFFFFFF00/londc reset|r Coloca la ventana principal en el centro de la pantalla")
            print("[|cFFFF0000LondCDice|r] |cFFFFFF00/londc hp|r Muestra/oculta la ventana auxiliar de Contador de HP")
            print("[|cFFFF0000LondCDice|r] |cFFFFFF00/londc master|r Muestra la ventana de MasterTools")
            print("[|cFFFF0000LondCDice|r] |cFFFFFF00/londc resetmaster|r Coloca la ventana de MasterTools de nuevo en el centro de la pantalla")
        end

    end 
end

--inicializador de savedvariables
--crea la UI basica y registra los comandos cuando entra el personaje
local frame = CreateFrame("Frame")
	frame:SetScript("OnEvent",function(self,event,...)
		--crear las savedvariables
		if LondCDiceSavedVars == nil then LondCDiceSavedVars = {} end
		if LondCDiceSavedVars.ataque ==nil then LondCDiceSavedVars.ataque = 0 end
		if LondCDiceSavedVars.defensa == nil then LondCDiceSavedVars.defensa = 0 end
		if LondCDiceSavedVars.iniciativa == nil then LondCDiceSavedVars.iniciativa = 0 end
		if LondCDiceSavedVars.interaccion == nil then LondCDiceSavedVars.interaccion = 0 end
		if LondCDiceSavedVars.poderAtaque ==nil then LondCDiceSavedVars.poderAtaque = 1 end
		if LondCDiceSavedVars.hp == nil then LondCDiceSavedVars.hp = 20 end
		if LondCDiceSavedVars.critico == nil then LondCDiceSavedVars.critico = 1 end
   		if LondCDiceSavedVars.posX == nil then  LondCDiceSavedVars.posX = UIParent:GetWidth()/2 end
		if LondCDiceSavedVars.posY == nil then  LondCDiceSavedVars.posY= UIParent:GetHeight()/2 end
        if LondCDiceSavedVars.posXM == nil then  LondCDiceSavedVars.posXM = UIParent:GetWidth()/2 end
        if LondCDiceSavedVars.posYM == nil then  LondCDiceSavedVars.posYM= UIParent:GetHeight()/2 end
		if LondCDiceSavedVars.legionIcons == nil then LondCDiceSavedVars.legionIcons = false end


		LondCDiceGlobals.createPanel()
        LondCDiceGlobals.createPanelMaster()
        registerSlash()

        print("[|cFFFF0000LondCDice|r] Gracias por usar el addon oficial de |cFFFF0A00Legion de Ceniza|r (ver 3.0) creado por Alaina-Los Errantes. Use /londc para una lista de comandos")

end)
frame:RegisterEvent("PLAYER_LOGIN")

----------------------------------------------------------------------------

--    		--escribimos la accion pertinente
--			local mensaje = " "..LondCDiceGlobals.accionText(LondCDiceGlobals.accion)
--			--si el resultado es 20 y es un ataque, es un ATAQUE CRITICO
--			if tonumber(roll)==20 and LondCDiceGlobals.accion=="ataque" then
--				mensaje = mensaje.." CRITICO"
--			end
--			--escribimos el resultado de la tirada y la suma del bonificador
--			mensaje = mensaje..": "..(tonumber(roll)+LondCDiceGlobals.bonus).." ("..roll.."+"..LondCDiceGlobals.bonus..")"
--			if LondCDiceGlobals.accion=="ataque" then 
--				mensaje = mensaje.." [Poder de Ataque: "
--				if tonumber(roll)==20 then mensaje = mensaje..LondCDiceGlobals.poderAtaque+LondCDiceGlobals.critico.." ("..LondCDiceGlobals.poderAtaque.."+"..LondCDiceGlobals.critico..")"
--				else mensaje = mensaje..LondCDiceGlobals.poderAtaque end
--				mensaje = mensaje.."]"
--			end

function LondCDiceGlobals.sendMsg(msg)
    if IsInRaid() then
        SendChatMessage(msg, "RAID");
    else
        SendChatMessage(msg, "EMOTE");
    end
end


local function enviarMensaje(roll)

    local mensaje
    if roll==20 and LondCDiceGlobals.accion == "ataque" then
    	mensaje = string.format(" ATAQUE CRITICO: %d (%d+%d) [Daño: %d (%d+%d)]",roll+LondCDiceGlobals.stats.ataque,roll,LondCDiceGlobals.stats.ataque,LondCDiceGlobals.stats.poderAtaque+LondCDiceGlobals.stats.critico,LondCDiceGlobals.stats.poderAtaque,LondCDiceGlobals.stats.critico)
    elseif roll < 20 and LondCDiceGlobals.accion == "ataque" then
    	mensaje = string.format(" ATAQUE: %d (%d+%d) [Daño: %d]",roll+LondCDiceGlobals.stats.ataque,roll,LondCDiceGlobals.stats.ataque,LondCDiceGlobals.stats.poderAtaque)
    elseif LondCDiceGlobals.accion == "defensa" then
    	mensaje = string.format(" DEFENSA: %d (%d+%d)",roll+LondCDiceGlobals.stats.defensa,roll,LondCDiceGlobals.stats.defensa)
    elseif LondCDiceGlobals.accion == "iniciativa" then
    	mensaje = string.format(" INICIATIVA: %d (%d+%d)",roll+LondCDiceGlobals.stats.iniciativa,roll,LondCDiceGlobals.stats.iniciativa)
    elseif LondCDiceGlobals.accion == "interaccion" then
    	mensaje = string.format(" INTERACCION: %d (%d+%d)",roll+LondCDiceGlobals.stats.interaccion,roll,LondCDiceGlobals.stats.interaccion)
    elseif LondCDiceGlobals.accion == "sanacion" then
    	mensaje = string.format(" SANACION: %d (1-%d)",roll,LondCDiceGlobals.stats.interaccion)
    end	
			--enviar mensaje a raid o canal emote
    LondCDiceGlobals.sendMsg(mensaje)
end

local function enviarMensajeMaster(villano , roll )
    local name = LondCDiceGlobals.diceMaster[villano].name
    local minRoll = LondCDiceGlobals.diceMaster[villano].minroll
    local maxRoll = LondCDiceGlobals.diceMaster[villano].maxroll
    local bonus = LondCDiceGlobals.diceMaster[villano].bonus
    local damage = LondCDiceGlobals.diceMaster[villano].damage

    local mensaje = " "..name.." ("..minRoll.."-"..maxRoll.."): "
    if bonus ~= 0 then 
        mensaje = mensaje..roll+bonus.." ("..roll.."+"..bonus..")"
    else
        mensaje = mensaje..roll
    end
    if damage ~= 0 then
        mensaje = mensaje..". Daño: "..damage
    end  



    LondCDiceGlobals.sendMsg(mensaje)
end

--Registramos un evento que se dispara al recibir un mensaje de sistema con el formato de una tirada de dados
--------------------------------------------------------------------------

--------------------------------------------------------------------------
local f = CreateFrame("Frame")
f:RegisterEvent("CHAT_MSG_SYSTEM")
f:SetScript("OnEvent",function(self,event,msg)
	local name,roll,minRoll,maxRoll = msg:match(LondCDiceGlobals.roll_string)
	if LondCDiceGlobals.useLondCDice == true and name==UnitName("player") then
		enviarMensaje(tonumber(roll))
		LondCDiceGlobals.useLondCDice = false
    elseif LondCDiceGlobals.useLondCDiceMaster ~= 0 and name==UnitName("player") then
        enviarMensajeMaster(LondCDiceGlobals.useLondCDiceMaster, tonumber(roll))
        LondCDiceGlobals.useLondCDiceMaster = 0
    end
end)











