local _,LondCDiceGlobals = ...



function LondCDiceGlobals.createPanelMaster()

	--Crear panel basico
	myFrameM = CreateFrame("Frame","myFrameMMaster",UIParent,"")
	myFrameM:Hide()
	myFrameM:SetBackdrop({bgFile = "Interface/Tooltips/CHATBUBBLE-BACKGROUND", 
                               edgeFile = "Interface/Tooltips/UI-Tooltip-Border", 
                               tile = true, tileSize = 16, edgeSize = 16, 
                               insets = { left = 4, right = 4, top = 4, bottom = 4 }});
	myFrameM:SetBackdropColor(0,0,0,1);
	myFrameM:ClearAllPoints()
	myFrameM:SetPoint("BOTTOMLEFT",LondCDiceGlobals.stats.posXM,LondCDiceGlobals.stats.posYM)
	myFrameM:SetSize(360,290)

	myFrameM:SetMovable(true)
	myFrameM:EnableMouse(true)
	myFrameM:RegisterForDrag("LeftButton")
	myFrameM:SetScript("OnDragStart", myFrameM.StartMoving)
	myFrameM:SetScript("OnDragStop", function (self)
		self:StopMovingOrSizing()
		LondCDiceSavedVars.posXM = self:GetLeft()
		LondCDiceSavedVars.posYM = self:GetBottom()
	end
		)

	--TITULO VENTANA
	myFrameM.title = myFrameM:CreateFontString(nil,"OVERLAY")
	myFrameM.title:SetFontObject("GameFontHighlight")
	myFrameM.title:SetPoint("TOPLEFT", myFrameM, "TOPLEFT", 5, -5)
	myFrameM.title:SetText("Legion de Ceniza MasterTool")

	--Titulo columnas
	myFrameM.cols1 = myFrameM:CreateFontString(nil,"OVERLAY")
	myFrameM.cols1:SetFontObject("GameFontHighlight")
	myFrameM.cols1:SetPoint("TOPLEFT", myFrameM, "TOPLEFT", 40, -25)
	myFrameM.cols1:SetText("Nombre")

	myFrameM.cols2 = myFrameM:CreateFontString(nil,"OVERLAY")
	myFrameM.cols2:SetFontObject("GameFontHighlight")
	myFrameM.cols2:SetPoint("TOPLEFT", myFrameM, "TOPLEFT", 160, -25)
	myFrameM.cols2:SetText("Min")

	myFrameM.cols3 = myFrameM:CreateFontString(nil,"OVERLAY")
	myFrameM.cols3:SetFontObject("GameFontHighlight")
	myFrameM.cols3:SetPoint("TOPLEFT", myFrameM, "TOPLEFT", 195, -25)
	myFrameM.cols3:SetText("Max")

	myFrameM.cols4 = myFrameM:CreateFontString(nil,"OVERLAY")
	myFrameM.cols4:SetFontObject("GameFontHighlight")
	myFrameM.cols4:SetPoint("TOPLEFT", myFrameM, "TOPLEFT", 230, -25)
	myFrameM.cols4:SetText("+/-")

	myFrameM.cols5 = myFrameM:CreateFontString(nil,"OVERLAY")
	myFrameM.cols5:SetFontObject("GameFontHighlight")
	myFrameM.cols5:SetPoint("TOPLEFT", myFrameM, "TOPLEFT", 257, -25)
	myFrameM.cols5:SetText("Daño")
	
	myFrameM.cols6 = myFrameM:CreateFontString(nil,"OVERLAY")
	myFrameM.cols6:SetFontObject("GameFontHighlight")
	myFrameM.cols6:SetPoint("TOPLEFT", myFrameM, "TOPLEFT", 300, -25)
	myFrameM.cols6:SetText("HP")


	--boton de cierre de ventana
	local btnX= CreateFrame("Button", "btnX",myFrameM,"UIPanelCloseButton")
	btnX:SetSize(28,28)
	btnX:SetPoint("TOPRIGHT",myFrameM, "TOPRIGHT",0,0)
	btnX:RegisterForClicks("AnyUp")
	btnX:SetScript("OnClick",function() 
			myFrameM:Hide() 
			
		end)



	--------edit boxex y button

-----------------------------------------------------------------------
	-------m1------
	local btnM1 = CreateFrame("Button", "",myFrameM,"UIPanelButtonTemplate")
	btnM1:SetSize(30,30)
	btnM1:SetPoint("TOPLEFT",myFrameM, "TOPLEFT",5,-40)
	btnM1:SetNormalTexture("Interface/ICONS/INV_Misc_Dice_01")
	btnM1:RegisterForClicks("AnyUp")
	btnM1:SetScript("OnClick",function() 
		deleteAutoFocus()
		LondCDiceGlobals.useLondCDiceMaster = 1
		LondCDiceGlobals.diceMaster[1].name = btnM1.nameBox:GetText() or ""
		LondCDiceGlobals.diceMaster[1].minroll = tonumber(btnM1.minBox:GetText()) or 1
		LondCDiceGlobals.diceMaster[1].maxroll = tonumber(btnM1.maxBox:GetText()) or 20
		LondCDiceGlobals.diceMaster[1].bonus = tonumber(btnM1.bonusBox:GetText()) or 0
		LondCDiceGlobals.diceMaster[1].damage = tonumber(btnM1.damageBox:GetText()) or 0
		RandomRoll(LondCDiceGlobals.diceMaster[1].minroll, LondCDiceGlobals.diceMaster[1].maxroll)
	end)

	btnM1.nameBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM1.nameBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",45,-45)
	btnM1.nameBox:SetSize(110,15)
	btnM1.nameBox:SetAutoFocus(false)
	btnM1.nameBox:Insert(LondCDiceGlobals.diceMaster[1].name)

	btnM1.minBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM1.minBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",167,-45)
	btnM1.minBox:SetSize(20,15)
	btnM1.minBox:SetAutoFocus(false)
	btnM1.minBox:Insert(LondCDiceGlobals.diceMaster[1].minroll)

	btnM1.maxBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM1.maxBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",200,-45)
	btnM1.maxBox:SetSize(20,15)
	btnM1.maxBox:SetAutoFocus(false)
	btnM1.maxBox:Insert(LondCDiceGlobals.diceMaster[1].maxroll)

	btnM1.bonusBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM1.bonusBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",233,-45)
	btnM1.bonusBox:SetSize(20,15)
	btnM1.bonusBox:SetAutoFocus(false)
	btnM1.bonusBox:Insert(LondCDiceGlobals.diceMaster[1].bonus)

	btnM1.damageBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM1.damageBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",266,-45)
	btnM1.damageBox:SetSize(20,15)
	btnM1.damageBox:SetAutoFocus(false)
	btnM1.damageBox:Insert(LondCDiceGlobals.diceMaster[1].damage)

	btnM1.hpBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM1.hpBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",299,-45)
	btnM1.hpBox:SetSize(20,15)
	btnM1.hpBox:SetAutoFocus(false)

	btnM1.hpBtn = CreateFrame("Button", nil,myFrameM,"UIPanelButtonTemplate")
	btnM1.hpBtn:SetSize(15,15)
	btnM1.hpBtn:SetPoint("TOPLEFT",myFrameM, "TOPLEFT",330,-45)
	btnM1.hpBtn:SetText("S")
	btnM1.hpBtn:RegisterForClicks("AnyUp")
	btnM1.hpBtn:SetScript("OnClick",function() 
	 	deleteAutoFocus()
	 	local hp = btnM1.hpBox:GetNumber()
		local hpmsg = " "..btnM1.nameBox:GetText().." - HP: "..hp
		LondCDiceGlobals.sendMsg(hpmsg)
	end)

-----------------------------------------------------------------------
	-------m2------
	local btnM2 = CreateFrame("Button", "",myFrameM,"UIPanelButtonTemplate")
	btnM2:SetSize(30,30)
	btnM2:SetPoint("TOPLEFT",myFrameM, "TOPLEFT",5,-80)
	btnM2:SetNormalTexture("Interface/ICONS/INV_Misc_Dice_01")
	btnM2:RegisterForClicks("AnyUp")
	btnM2:SetScript("OnClick",function() 
		deleteAutoFocus()
		LondCDiceGlobals.useLondCDiceMaster = 2
		LondCDiceGlobals.diceMaster[2].name = btnM2.nameBox:GetText()
		LondCDiceGlobals.diceMaster[2].minroll = tonumber(btnM2.minBox:GetText()) or 1
		LondCDiceGlobals.diceMaster[2].maxroll = tonumber(btnM2.maxBox:GetText()) or 20
		LondCDiceGlobals.diceMaster[2].bonus = tonumber(btnM2.bonusBox:GetText()) or 0
		LondCDiceGlobals.diceMaster[2].damage = tonumber(btnM2.damageBox:GetText()) or 0
		RandomRoll(LondCDiceGlobals.diceMaster[2].minroll, LondCDiceGlobals.diceMaster[2].maxroll)
	end)

	btnM2.nameBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM2.nameBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",45,-85)
	btnM2.nameBox:SetSize(110,15)
	btnM2.nameBox:SetAutoFocus(false)
	btnM2.nameBox:Insert(LondCDiceGlobals.diceMaster[2].name)

	btnM2.minBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM2.minBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",167,-85)
	btnM2.minBox:SetSize(20,15)
	btnM2.minBox:SetAutoFocus(false)
	btnM2.minBox:Insert(LondCDiceGlobals.diceMaster[2].minroll)

	btnM2.maxBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM2.maxBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",200,-85)
	btnM2.maxBox:SetSize(20,15)
	btnM2.maxBox:SetAutoFocus(false)
	btnM2.maxBox:Insert(LondCDiceGlobals.diceMaster[2].maxroll)

	btnM2.bonusBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM2.bonusBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",233,-85)
	btnM2.bonusBox:SetSize(20,15)
	btnM2.bonusBox:SetAutoFocus(false)
	btnM2.bonusBox:Insert(LondCDiceGlobals.diceMaster[2].bonus)

	btnM2.damageBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM2.damageBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",266,-85)
	btnM2.damageBox:SetSize(20,15)
	btnM2.damageBox:SetAutoFocus(false)
	btnM2.damageBox:Insert(LondCDiceGlobals.diceMaster[2].damage)

	btnM2.hpBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM2.hpBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",299,-85)
	btnM2.hpBox:SetSize(20,15)
	btnM2.hpBox:SetAutoFocus(false)

	btnM2.hpBtn = CreateFrame("Button", nil,myFrameM,"UIPanelButtonTemplate")
	btnM2.hpBtn:SetSize(15,15)
	btnM2.hpBtn:SetPoint("TOPLEFT",myFrameM, "TOPLEFT",330,-85)
	btnM2.hpBtn:SetText("S")
	btnM2.hpBtn:RegisterForClicks("AnyUp")
	btnM2.hpBtn:SetScript("OnClick",function() 
	 	deleteAutoFocus()
	 	local hp = btnM2.hpBox:GetNumber()
		local hpmsg = " "..btnM2.nameBox:GetText().." - HP: "..hp
		LondCDiceGlobals.sendMsg(hpmsg)
	end)
-----------------------------------------------------------------------
	-------m3------
	local btnM3 = CreateFrame("Button", "",myFrameM,"UIPanelButtonTemplate")
	btnM3:SetSize(30,30)
	btnM3:SetPoint("TOPLEFT",myFrameM, "TOPLEFT",5,-120)
	btnM3:SetNormalTexture("Interface/ICONS/INV_Misc_Dice_01")
	btnM3:RegisterForClicks("AnyUp")
	btnM3:SetScript("OnClick",function() 
		deleteAutoFocus()
		LondCDiceGlobals.useLondCDiceMaster = 3
		LondCDiceGlobals.diceMaster[3].name = btnM3.nameBox:GetText()
		LondCDiceGlobals.diceMaster[3].minroll = tonumber(btnM3.minBox:GetText()) or 1
		LondCDiceGlobals.diceMaster[3].maxroll = tonumber(btnM3.maxBox:GetText()) or 20
		LondCDiceGlobals.diceMaster[3].bonus = tonumber(btnM3.bonusBox:GetText()) or 0
		LondCDiceGlobals.diceMaster[3].damage = tonumber(btnM3.damageBox:GetText()) or 0
		RandomRoll(LondCDiceGlobals.diceMaster[3].minroll, LondCDiceGlobals.diceMaster[3].maxroll)
	end)

	btnM3.nameBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM3.nameBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",45,-125)
	btnM3.nameBox:SetSize(110,15)
	btnM3.nameBox:SetAutoFocus(false)
	btnM3.nameBox:Insert(LondCDiceGlobals.diceMaster[3].name)

	btnM3.minBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM3.minBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",167,-125)
	btnM3.minBox:SetSize(20,15)
	btnM3.minBox:SetAutoFocus(false)
	btnM3.minBox:Insert(LondCDiceGlobals.diceMaster[3].minroll)

	btnM3.maxBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM3.maxBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",200,-125)
	btnM3.maxBox:SetSize(20,15)
	btnM3.maxBox:SetAutoFocus(false)
	btnM3.maxBox:Insert(LondCDiceGlobals.diceMaster[3].maxroll)

	btnM3.bonusBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM3.bonusBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",233,-125)
	btnM3.bonusBox:SetSize(20,15)
	btnM3.bonusBox:SetAutoFocus(false)
	btnM3.bonusBox:Insert(LondCDiceGlobals.diceMaster[3].bonus)

	btnM3.damageBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM3.damageBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",266,-125)
	btnM3.damageBox:SetSize(20,15)
	btnM3.damageBox:SetAutoFocus(false)
	btnM3.damageBox:Insert(LondCDiceGlobals.diceMaster[3].damage)

	btnM3.hpBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM3.hpBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",299,-125)
	btnM3.hpBox:SetSize(20,15)
	btnM3.hpBox:SetAutoFocus(false)

	btnM3.hpBtn = CreateFrame("Button", nil,myFrameM,"UIPanelButtonTemplate")
	btnM3.hpBtn:SetSize(15,15)
	btnM3.hpBtn:SetPoint("TOPLEFT",myFrameM, "TOPLEFT",330,-125)
	btnM3.hpBtn:SetText("S")
	btnM3.hpBtn:RegisterForClicks("AnyUp")
	btnM3.hpBtn:SetScript("OnClick",function() 
	 	deleteAutoFocus()
	 	local hp = btnM3.hpBox:GetNumber()
		local hpmsg = " "..btnM3.nameBox:GetText().." - HP: "..hp
		LondCDiceGlobals.sendMsg(hpmsg)
	end)
-----------------------------------------------------------------------
	-------m4------
	local btnM4 = CreateFrame("Button", "",myFrameM,"UIPanelButtonTemplate")
	btnM4:SetSize(30,30)
	btnM4:SetPoint("TOPLEFT",myFrameM, "TOPLEFT",5,-160)
	btnM4:SetNormalTexture("Interface/ICONS/INV_Misc_Dice_01")
	btnM4:RegisterForClicks("AnyUp")
	btnM4:SetScript("OnClick",function()
		deleteAutoFocus()
		LondCDiceGlobals.useLondCDiceMaster = 4
		LondCDiceGlobals.diceMaster[4].name = btnM4.nameBox:GetText()
		LondCDiceGlobals.diceMaster[4].minroll = tonumber(btnM4.minBox:GetText()) or 1
		LondCDiceGlobals.diceMaster[4].maxroll = tonumber(btnM4.maxBox:GetText()) or 20
		LondCDiceGlobals.diceMaster[4].bonus = tonumber(btnM4.bonusBox:GetText()) or 0
		LondCDiceGlobals.diceMaster[4].damage = tonumber(btnM4.damageBox:GetText()) or 0
		RandomRoll(LondCDiceGlobals.diceMaster[4].minroll, LondCDiceGlobals.diceMaster[4].maxroll)
	end)

	btnM4.nameBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM4.nameBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",45,-165)
	btnM4.nameBox:SetSize(110,15)
	btnM4.nameBox:SetAutoFocus(false)
	btnM4.nameBox:Insert(LondCDiceGlobals.diceMaster[4].name)

	btnM4.minBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM4.minBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",167,-165)
	btnM4.minBox:SetSize(20,15)
	btnM4.minBox:SetAutoFocus(false)
	btnM4.minBox:Insert(LondCDiceGlobals.diceMaster[4].minroll)

	btnM4.maxBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM4.maxBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",200,-165)
	btnM4.maxBox:SetSize(20,15)
	btnM4.maxBox:SetAutoFocus(false)
	btnM4.maxBox:Insert(LondCDiceGlobals.diceMaster[4].maxroll)

	btnM4.bonusBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM4.bonusBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",233,-165)
	btnM4.bonusBox:SetSize(20,15)
	btnM4.bonusBox:SetAutoFocus(false)
	btnM4.bonusBox:Insert(LondCDiceGlobals.diceMaster[4].bonus)

	btnM4.damageBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM4.damageBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",266,-165)
	btnM4.damageBox:SetSize(20,15)
	btnM4.damageBox:SetAutoFocus(false)
	btnM4.damageBox:Insert(LondCDiceGlobals.diceMaster[4].damage)

	btnM4.hpBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM4.hpBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",299,-165)
	btnM4.hpBox:SetSize(20,15)
	btnM4.hpBox:SetAutoFocus(false)

	btnM4.hpBtn = CreateFrame("Button", nil,myFrameM,"UIPanelButtonTemplate")
	btnM4.hpBtn:SetSize(15,15)
	btnM4.hpBtn:SetPoint("TOPLEFT",myFrameM, "TOPLEFT",330,-165)
	btnM4.hpBtn:SetText("S")
	btnM4.hpBtn:RegisterForClicks("AnyUp")
	btnM4.hpBtn:SetScript("OnClick",function() 
	 	deleteAutoFocus()
	 	local hp = btnM4.hpBox:GetNumber()
		local hpmsg = " "..btnM4.nameBox:GetText().." - HP: "..hp
		LondCDiceGlobals.sendMsg(hpmsg)
	end)
-----------------------------------------------------------------------
	-------m5------
	local btnM5 = CreateFrame("Button", "",myFrameM,"UIPanelButtonTemplate")
	btnM5:SetSize(30,30)
	btnM5:SetPoint("TOPLEFT",myFrameM, "TOPLEFT",5,-200)
	btnM5:SetNormalTexture("Interface/ICONS/INV_Misc_Dice_01")
	btnM5:RegisterForClicks("AnyUp")
	btnM5:SetScript("OnClick",function() 
		deleteAutoFocus()
		LondCDiceGlobals.useLondCDiceMaster = 5
		LondCDiceGlobals.diceMaster[5].name = btnM5.nameBox:GetText()
		LondCDiceGlobals.diceMaster[5].minroll = tonumber(btnM5.minBox:GetText()) or 1
		LondCDiceGlobals.diceMaster[5].maxroll = tonumber(btnM5.maxBox:GetText()) or 20
		LondCDiceGlobals.diceMaster[5].bonus = tonumber(btnM5.bonusBox:GetText()) or 0
		LondCDiceGlobals.diceMaster[5].damage = tonumber(btnM5.damageBox:GetText()) or 0
		RandomRoll(LondCDiceGlobals.diceMaster[5].minroll, LondCDiceGlobals.diceMaster[5].maxroll)
	end)

	btnM5.nameBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM5.nameBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",45,-205)
	btnM5.nameBox:SetSize(110,15)
	btnM5.nameBox:SetAutoFocus(false)
	btnM5.nameBox:Insert(LondCDiceGlobals.diceMaster[5].name)

	btnM5.minBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM5.minBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",167,-205)
	btnM5.minBox:SetSize(20,15)
	btnM5.minBox:SetAutoFocus(false)
	btnM5.minBox:Insert(LondCDiceGlobals.diceMaster[5].minroll)

	btnM5.maxBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM5.maxBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",200,-205)
	btnM5.maxBox:SetSize(20,15)
	btnM5.maxBox:SetAutoFocus(false)
	btnM5.maxBox:Insert(LondCDiceGlobals.diceMaster[5].maxroll)

	btnM5.bonusBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM5.bonusBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",233,-205)
	btnM5.bonusBox:SetSize(20,15)
	btnM5.bonusBox:SetAutoFocus(false)
	btnM5.bonusBox:Insert(LondCDiceGlobals.diceMaster[5].bonus)

	btnM5.damageBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM5.damageBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",266,-205)
	btnM5.damageBox:SetSize(20,15)
	btnM5.damageBox:SetAutoFocus(false)
	btnM5.damageBox:Insert(LondCDiceGlobals.diceMaster[5].damage)

	btnM5.hpBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM5.hpBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",299,-205)
	btnM5.hpBox:SetSize(20,15)
	btnM5.hpBox:SetAutoFocus(false)

	btnM5.hpBtn = CreateFrame("Button", nil,myFrameM,"UIPanelButtonTemplate")
	btnM5.hpBtn:SetSize(15,15)
	btnM5.hpBtn:SetPoint("TOPLEFT",myFrameM, "TOPLEFT",330,-205)
	btnM5.hpBtn:SetText("S")
	btnM5.hpBtn:RegisterForClicks("AnyUp")
	btnM5.hpBtn:SetScript("OnClick",function() 
	 	deleteAutoFocus()
	 	local hp = btnM5.hpBox:GetNumber()
		local hpmsg = " "..btnM5.nameBox:GetText().." - HP: "..hp
		LondCDiceGlobals.sendMsg(hpmsg)
	end)
-----------------------------------------------------------------------
	-------m6------
	local btnM6 = CreateFrame("Button", "",myFrameM,"UIPanelButtonTemplate")
	btnM6:SetSize(30,30)
	btnM6:SetPoint("TOPLEFT",myFrameM, "TOPLEFT",5,-240)
	btnM6:SetNormalTexture("Interface/ICONS/INV_Misc_Dice_01")
	btnM6:RegisterForClicks("AnyUp")
	btnM6:SetScript("OnClick",function() 
		deleteAutoFocus()
		LondCDiceGlobals.useLondCDiceMaster = 6
		LondCDiceGlobals.diceMaster[6].name = btnM6.nameBox:GetText()
		LondCDiceGlobals.diceMaster[6].minroll = tonumber(btnM6.minBox:GetText()) or 1
		LondCDiceGlobals.diceMaster[6].maxroll = tonumber(btnM6.maxBox:GetText()) or 20
		LondCDiceGlobals.diceMaster[6].bonus = tonumber(btnM6.bonusBox:GetText()) or 0
		LondCDiceGlobals.diceMaster[6].damage = tonumber(btnM6.damageBox:GetText()) or 0
		RandomRoll(LondCDiceGlobals.diceMaster[6].minroll, LondCDiceGlobals.diceMaster[6].maxroll)
	end)

	btnM6.nameBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM6.nameBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",45,-245)
	btnM6.nameBox:SetSize(110,15)
	btnM6.nameBox:SetAutoFocus(false)
	btnM6.nameBox:Insert(LondCDiceGlobals.diceMaster[6].name)

	btnM6.minBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM6.minBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",167,-245)
	btnM6.minBox:SetSize(20,15)
	btnM6.minBox:SetAutoFocus(false)
	btnM6.minBox:Insert(LondCDiceGlobals.diceMaster[6].minroll)

	btnM6.maxBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM6.maxBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",200,-245)
	btnM6.maxBox:SetSize(20,15)
	btnM6.maxBox:SetAutoFocus(false)
	btnM6.maxBox:Insert(LondCDiceGlobals.diceMaster[6].maxroll)

	btnM6.bonusBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM6.bonusBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",233,-245)
	btnM6.bonusBox:SetSize(20,15)
	btnM6.bonusBox:SetAutoFocus(false)
	btnM6.bonusBox:Insert(LondCDiceGlobals.diceMaster[6].bonus)

	btnM6.damageBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM6.damageBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",266,-245)
	btnM6.damageBox:SetSize(20,15)
	btnM6.damageBox:SetAutoFocus(false)
	btnM6.damageBox:Insert(LondCDiceGlobals.diceMaster[6].damage)

	btnM6.hpBox = CreateFrame("EditBox",nil, myFrameM,"InputBoxTemplate")
	btnM6.hpBox:SetPoint("TOPLEFT", myFrameM, "TOPLEFT",299,-245)
	btnM6.hpBox:SetSize(20,15)
	btnM6.hpBox:SetAutoFocus(false)

	btnM6.hpBtn = CreateFrame("Button", nil,myFrameM,"UIPanelButtonTemplate")
	btnM6.hpBtn:SetSize(15,15)
	btnM6.hpBtn:SetPoint("TOPLEFT",myFrameM, "TOPLEFT",330,-245)
	btnM6.hpBtn:SetText("S")
	btnM6.hpBtn:RegisterForClicks("AnyUp")
	btnM6.hpBtn:SetScript("OnClick",function() 
	 	deleteAutoFocus()
	 	local hp = btnM6.hpBox:GetNumber()
		local hpmsg = " "..btnM6.nameBox:GetText().." - HP: "..hp
		LondCDiceGlobals.sendMsg(hpmsg)
	end)

----------------------------------------------------
---------------------------------------------------

function deleteAutoFocus()
	btnM1.nameBox:ClearFocus()
	btnM1.minBox:ClearFocus()
	btnM1.maxBox:ClearFocus()
	btnM1.bonusBox:ClearFocus()
	btnM1.damageBox:ClearFocus()
	btnM1.hpBox:ClearFocus()
	btnM2.nameBox:ClearFocus()
	btnM2.minBox:ClearFocus()
	btnM2.maxBox:ClearFocus()
	btnM2.bonusBox:ClearFocus()
	btnM2.damageBox:ClearFocus()
	btnM2.hpBox:ClearFocus()
	btnM3.nameBox:ClearFocus()
	btnM3.minBox:ClearFocus()
	btnM3.maxBox:ClearFocus()
	btnM3.bonusBox:ClearFocus()
	btnM3.damageBox:ClearFocus()
	btnM3.hpBox:ClearFocus()
	btnM4.nameBox:ClearFocus()
	btnM4.minBox:ClearFocus()
	btnM4.maxBox:ClearFocus()
	btnM4.bonusBox:ClearFocus()
	btnM4.damageBox:ClearFocus()
	btnM4.hpBox:ClearFocus()
	btnM5.nameBox:ClearFocus()
	btnM5.minBox:ClearFocus()
	btnM5.maxBox:ClearFocus()
	btnM5.bonusBox:ClearFocus()
	btnM5.damageBox:ClearFocus()
	btnM5.hpBox:ClearFocus()
	btnM6.nameBox:ClearFocus()
	btnM6.minBox:ClearFocus()
	btnM6.maxBox:ClearFocus()
	btnM6.bonusBox:ClearFocus()
	btnM6.damageBox:ClearFocus()
end
--slash commands
	function LondCDiceGlobals.slash_master()
		myFrameM:SetShown(not myFrameM:IsShown())
	end
	function LondCDiceGlobals.slash_resetMaster()
	myFrameM:ClearAllPoints()
   	LondCDiceGlobals.stats.posXM = UIParent:GetWidth()/2
	LondCDiceGlobals.stats.posYM = UIParent:GetHeight()/2
	LondCDiceSavedVars.posXM=LondCDiceGlobals.stats.posXM
   	LondCDiceSavedVars.posYM=LondCDiceGlobals.stats.posYM
   	myFrameM:SetPoint("BOTTOMLEFT",LondCDiceGlobals.stats.posXM,LondCDiceGlobals.stats.posYM)
end
	
end 



