

local _,LondCDiceGlobals = ...


function lootText(columna)


	if columna == 1 then return "1.|n2.|n3.|n4.|n5.|n6.|n7.|n8.|n9.|n10." end
	if columna == 2 then return "Ataque|nDefensa|nInteraccion|nIniciativa|nAtaque|nDefensa|nInteraccion|nIniciativa|nAtaque|nDefensa" end
	
	if columna == 3 then return "11.|n12.|n13.|n14.|n15.|n16.|n17.|n18.|n19.|n20." end
	if columna == 4 then return "Interaccion|n2 HP|nAtaque|nDefensa|nInteraccion|nPod. Ataque|nCritico|n2 HP|nCritico|n2 HP" end


end

function LondCDiceGlobals.createPanel() 

		--local LondCDiceGlobals.stats ={}
		LondCDiceGlobals.stats =  LondCDiceSavedVars
--Crear panel basico
	local myFrame = CreateFrame("Frame","myFrame",UIParent,"")
	myFrame:SetBackdrop({bgFile = "Interface/Tooltips/CHATBUBBLE-BACKGROUND", 
                               edgeFile = "Interface/Tooltips/UI-Tooltip-Border", 
                               tile = true, tileSize = 16, edgeSize = 16, 
                               insets = { left = 4, right = 4, top = 4, bottom = 4 }});
	myFrame:SetBackdropColor(0,0,0,1);
	myFrame:ClearAllPoints()
	myFrame:SetPoint("BOTTOMLEFT",LondCDiceGlobals.stats.posX,LondCDiceGlobals.stats.posY)
	myFrame:SetSize(206,65)

	myFrame:SetMovable(true)
	myFrame:EnableMouse(true)
	myFrame:RegisterForDrag("LeftButton")
	myFrame:SetScript("OnDragStart", myFrame.StartMoving)
	myFrame:SetScript("OnDragStop", function (self)
		self:StopMovingOrSizing()
		LondCDiceSavedVars.posX = self:GetLeft()
		LondCDiceSavedVars.posY = self:GetBottom()
	end
		)

	--TITULO VENTANA
	myFrame.title = myFrame:CreateFontString(nil,"OVERLAY")
	myFrame.title:SetFontObject("GameFontHighlight")
	myFrame.title:SetPoint("TOPLEFT", myFrame, "TOPLEFT", 5, -5)
	myFrame.title:SetText("Legion de Ceniza")

-----------------------------------------------------------------------
-------------------BasicFrameTemplate

------------------------------------------------------------------
	--panel de configuracion de estadisticas
	local myConfigFrame = CreateFrame("Frame","myFrame",myFrame,"")
	myConfigFrame:SetBackdrop({bgFile = "Interface/Tooltips/CHATBUBBLE-BACKGROUND", 
                               edgeFile = "Interface/Tooltips/UI-Tooltip-Border", 
                               tile = true, tileSize = 16, edgeSize = 16, 
                               insets = { left = 4, right = 4, top = 4, bottom = 4 }});
	myConfigFrame:SetBackdropColor(0,0,0,1);
	myConfigFrame:ClearAllPoints()
	myConfigFrame:SetPoint("BOTTOM",0,65)
	myConfigFrame:SetSize(170,230)
	myConfigFrame.title = myConfigFrame:CreateFontString(nil,"OVERLAY")
	myConfigFrame.title:SetFontObject("GameFontHighlight")
	myConfigFrame.title:SetPoint("TOPLEFT", myConfigFrame, "TOPLEFT", 5, -5)
	myConfigFrame.title:SetText("Estadisticas")
	myConfigFrame:Hide();

	---------CASILLAS DE ESTADISTICAS
	--ESTADISTICA ATAQUE
	myConfigFrame.AttackBox = CreateFrame("EditBox",nil, myConfigFrame,"InputBoxTemplate")
	myConfigFrame.AttackBox:SetPoint("TOPLEFT", myConfigFrame, "TOPLEFT",30,-40)
	myConfigFrame.AttackBox:SetSize(20,15)
	myConfigFrame.AttackBox:SetAutoFocus(false)
	myConfigFrame.AttackBox:Insert(LondCDiceGlobals.stats.ataque)
	myConfigFrame.AttackTitle = myConfigFrame:CreateFontString(nil,"OVERLAY")
	myConfigFrame.AttackTitle:SetFontObject("GameFontHighlight")
	myConfigFrame.AttackTitle:SetPoint("TOPLEFT", myConfigFrame, "TOPLEFT", 15, -25)
	myConfigFrame.AttackTitle:SetText("Ataque")

	--ESTADISTICA DEFENSA
	myConfigFrame.DefenseBox = CreateFrame("EditBox",nil, myConfigFrame,"InputBoxTemplate")
	myConfigFrame.DefenseBox:SetPoint("TOPLEFT", myConfigFrame, "TOPLEFT",110,-40)
	myConfigFrame.DefenseBox:SetSize(20,15)
	myConfigFrame.DefenseBox:SetAutoFocus(false)
	myConfigFrame.DefenseBox:Insert(LondCDiceGlobals.stats.defensa)
	myConfigFrame.DefenseTitle = myConfigFrame:CreateFontString(nil,"OVERLAY")
	myConfigFrame.DefenseTitle:SetFontObject("GameFontHighlight")
	myConfigFrame.DefenseTitle:SetPoint("TOPLEFT", myConfigFrame, "TOPLEFT", 95, -25)
	myConfigFrame.DefenseTitle:SetText("Defensa")

	--ESTADISTICA INICIATIVA
	myConfigFrame.InicBox = CreateFrame("EditBox",nil, myConfigFrame,"InputBoxTemplate")
	myConfigFrame.InicBox:SetPoint("TOPLEFT", myConfigFrame, "TOPLEFT",30,-75)
	myConfigFrame.InicBox:SetSize(20,15)
	myConfigFrame.InicBox:SetAutoFocus(false)
	myConfigFrame.InicBox:Insert(LondCDiceGlobals.stats.iniciativa)
	myConfigFrame.InicTitle = myConfigFrame:CreateFontString(nil,"OVERLAY")
	myConfigFrame.InicTitle:SetFontObject("GameFontHighlight")
	myConfigFrame.InicTitle:SetPoint("TOPLEFT", myConfigFrame, "TOPLEFT", 13, -60)
	myConfigFrame.InicTitle:SetText("Iniciativa")

	--ESTADISTICA INTERACCION
	myConfigFrame.ItemBox = CreateFrame("EditBox",nil, myConfigFrame,"InputBoxTemplate")
	myConfigFrame.ItemBox:SetPoint("TOPLEFT", myConfigFrame, "TOPLEFT",110,-75)
	myConfigFrame.ItemBox:SetSize(20,15)
	myConfigFrame.ItemBox:SetAutoFocus(false)
	myConfigFrame.ItemBox:Insert(LondCDiceGlobals.stats.interaccion)
	myConfigFrame.ItemTitle = myConfigFrame:CreateFontString(nil,"OVERLAY")
	myConfigFrame.ItemTitle:SetFontObject("GameFontHighlight")
	myConfigFrame.ItemTitle:SetPoint("TOPLEFT", myConfigFrame, "TOPLEFT", 88, -60)
	myConfigFrame.ItemTitle:SetText("Interaccion")

	--ESTADISTICA PODER DE ATAQUE
	myConfigFrame.PABox = CreateFrame("EditBox",nil, myConfigFrame,"InputBoxTemplate")
	myConfigFrame.PABox:SetPoint("TOPLEFT", myConfigFrame, "TOPLEFT",30,-110)
	myConfigFrame.PABox:SetSize(20,15)
	myConfigFrame.PABox:SetAutoFocus(false)
	myConfigFrame.PABox:Insert(LondCDiceGlobals.stats.poderAtaque)
	myConfigFrame.PATitle = myConfigFrame:CreateFontString(nil,"OVERLAY")
	myConfigFrame.PATitle:SetFontObject("GameFontHighlight")
	myConfigFrame.PATitle:SetPoint("TOPLEFT", myConfigFrame, "TOPLEFT", 6, -95)
	myConfigFrame.PATitle:SetText("Pod. Ataque")

	--ESTADISTICA PODER CRITICO
	myConfigFrame.CritBox = CreateFrame("EditBox",nil, myConfigFrame,"InputBoxTemplate")
	myConfigFrame.CritBox:SetPoint("TOPLEFT", myConfigFrame, "TOPLEFT",110,-110)
	myConfigFrame.CritBox:SetSize(20,15)
	myConfigFrame.CritBox:SetAutoFocus(false)
	myConfigFrame.CritBox:Insert(LondCDiceGlobals.stats.critico)
	myConfigFrame.CritTitle = myConfigFrame:CreateFontString(nil,"OVERLAY")
	myConfigFrame.CritTitle:SetFontObject("GameFontHighlight")
	myConfigFrame.CritTitle:SetPoint("TOPLEFT", myConfigFrame, "TOPLEFT", 100, -95)
	myConfigFrame.CritTitle:SetText("Critico")

	--ESTADISTICA HP
	myConfigFrame.hpBox = CreateFrame("EditBox",nil, myConfigFrame,"InputBoxTemplate")
	myConfigFrame.hpBox:SetPoint("TOPLEFT", myConfigFrame, "TOPLEFT",30,-145)
	myConfigFrame.hpBox:SetSize(25,15)
	myConfigFrame.hpBox:SetAutoFocus(false)
	myConfigFrame.hpBox:Insert(LondCDiceGlobals.stats.hp)
	myConfigFrame.hpTitle = myConfigFrame:CreateFontString(nil,"OVERLAY")
	myConfigFrame.hpTitle:SetFontObject("GameFontHighlight")
	myConfigFrame.hpTitle:SetPoint("TOPLEFT", myConfigFrame, "TOPLEFT", 30, -130)
	myConfigFrame.hpTitle:SetText("HP")


-------------------------------------------------------------
--checkbox para intercambiar iconos
	local legionIcons = CreateFrame("CheckButton", "legionIcons", myConfigFrame, "ChatConfigCheckButtonTemplate");
	legionIcons:SetPoint("TOPLEFT", myConfigFrame, "TOPLEFT", 20, -200);
	legionIcons.tooltip = "Intercambia entre los iconos de Legion y los clasicos. /reload para que se apliquen los cambios";
	legionIconsTitle = myConfigFrame:CreateFontString(nil,"OVERLAY")
	legionIconsTitle:SetFontObject("GameFontHighlight")
	legionIconsTitle:SetPoint("TOPLEFT", myConfigFrame, "TOPLEFT", 40, -205)
	legionIconsTitle:SetText("Iconos de Legion")
	legionIcons:SetChecked(LondCDiceGlobals.stats.legionIcons)




--------------------------------------------------
	--BOTON DE GUARDAR ESTADISTICAS: guarda en local y en las savedvariables
	local btnSave= CreateFrame("Button", "btnSave",myConfigFrame,"UIPanelButtonTemplate")
	btnSave:SetSize(60,18)
	btnSave:SetPoint("CENTER",myConfigFrame, "CENTER",0,-70)
	btnSave:SetText("Guardar")
	btnSave:RegisterForClicks("AnyUp")
	btnSave:SetScript("OnClick",function() 
				LondCDiceGlobals.stats.ataque=  tonumber(myConfigFrame.AttackBox:GetText()) or 0
			  	LondCDiceGlobals.stats.defensa= tonumber(myConfigFrame.DefenseBox:GetText()) or 0
			  	LondCDiceGlobals.stats.iniciativa= tonumber(myConfigFrame.InicBox:GetText()) or 0
			  	LondCDiceGlobals.stats.interaccion= tonumber(myConfigFrame.ItemBox:GetText()) or 0
			  	LondCDiceGlobals.stats.poderAtaque= tonumber(myConfigFrame.PABox:GetText()) or 1
			  	LondCDiceGlobals.stats.critico= tonumber(myConfigFrame.CritBox:GetText()) or 1
			  	LondCDiceGlobals.stats.hp= tonumber(myConfigFrame.hpBox:GetText()) or 1
			  	LondCDiceGlobals.stats.legionIcons = legionIcons:GetChecked()
			  	--guardamos los datos en las savedvariables reales 
				LondCDiceSavedVars.ataque = LondCDiceGlobals.stats.ataque
				LondCDiceSavedVars.defensa =LondCDiceGlobals.stats.defensa
				LondCDiceSavedVars.iniciativa=LondCDiceGlobals.stats.iniciativa
				LondCDiceSavedVars.interaccion=LondCDiceGlobals.stats.interaccion
				LondCDiceSavedVars.poderAtaque=LondCDiceGlobals.stats.poderAtaque
				LondCDiceSavedVars.critico=LondCDiceGlobals.stats.critico
				LondCDiceSavedVars.hp=LondCDiceGlobals.stats.hp
				LondCDiceSavedVars.legionIcons = legionIcons:GetChecked()

				hpFrame.hp:SetText(LondCDiceGlobals.stats.hp)

				myConfigFrame:Hide() 			
	end)





	-------------------------------------
	-------------------------------------
	--BOTON DE APERTURA LA VENTANA DE CONFIGURACION DE ESTADISTICAS
	local btnConfig= CreateFrame("Button", "btnConfig",myFrame,"UIPanelButtonTemplate")
	btnConfig:SetSize(50,18)
	btnConfig:SetPoint("TOPRIGHT",myFrame, "TOPRIGHT",-25,-5)
	btnConfig:SetText("Config")
		btnConfig:RegisterForClicks("AnyUp")
		btnConfig:SetScript("OnClick",function() 
			myConfigFrame:SetShown(not myConfigFrame:IsShown()) 
			
		end)


	--boton de cierre de ventana
		local btnX= CreateFrame("Button", "btnX",myFrame,"UIPanelCloseButton")
	btnX:SetSize(28,28)
	btnX:SetPoint("TOPRIGHT",myFrame, "TOPRIGHT",0,0)
		btnX:RegisterForClicks("AnyUp")
		btnX:SetScript("OnClick",function() 
			myFrame:Hide() 
			
		end)


---------------------------------------------------------------------------------------
-----------------------CREAR BOTONES DE LANZAMIENTO------------------------------------

--Boton de ATAQUE
	local btnAttack = CreateFrame("Button", "btnAttack",myFrame,"UIPanelButtonTemplate")
	btnAttack:SetSize(30,30)
	btnAttack:SetPoint("TOPLEFT",myFrame, "TOPLEFT",3,-28)
	local attackTex
	if LondCDiceGlobals.stats.legionIcons then attackTex = "Misc_Legionfall_Deathknight" else attackTex="Ability_Warrior_Challange" end
	btnAttack:SetNormalTexture("Interface/ICONS/"..attackTex)
	btnAttack:RegisterForClicks("AnyUp")
	btnAttack:SetScript("OnClick",function()
			LondCDiceGlobals.accion = "ataque"
			LondCDiceGlobals.useLondCDice = true
			RandomRoll(1, 20)
		end)


--BOTON DE DEFENSA
	local btnDefense = CreateFrame("Button", "btnDefense",myFrame,"UIPanelButtonTemplate")
	btnDefense:SetSize(30,30)
	btnDefense:SetPoint("TOPLEFT",myFrame, "TOPLEFT",37,-28)
	local defenseTex
	if LondCDiceGlobals.stats.legionIcons then defenseTex = "Misc_Legionfall_Paladin" else defenseTex="Ability_Warrior_DefensiveStance" end
	btnDefense:SetNormalTexture("Interface/ICONS/"..defenseTex)
		btnDefense:RegisterForClicks("AnyUp")
		btnDefense:SetScript("OnClick",function() 
			LondCDiceGlobals.accion = "defensa"
			LondCDiceGlobals.useLondCDice = true
			RandomRoll(1, 20)
		end)
	

--BOTON DE INICIATIVA
	local btnInic= CreateFrame("Button", "btnInic",myFrame,"UIPanelButtonTemplate")
	btnInic:SetSize(30,30)
	btnInic:SetPoint("TOPLEFT",myFrame, "TOPLEFT",71,-28)
	local inicTex
	if LondCDiceGlobals.stats.legionIcons then inicTex = "Misc_Legionfall_Shaman" else inicTex="Rogue_BurstofSpeed" end
	btnInic:SetNormalTexture("Interface/ICONS/"..inicTex)
		btnInic:RegisterForClicks("AnyUp")
		btnInic:SetScript("OnClick",function() 
			LondCDiceGlobals.accion = "iniciativa"
			LondCDiceGlobals.useLondCDice = true
			RandomRoll(1, 5)
		end)


--BOTON DE INTERACCION
	local btnItem= CreateFrame("Button", "btnItem",myFrame,"UIPanelButtonTemplate")
	btnItem:SetSize(30,30)
	btnItem:SetPoint("TOPLEFT",myFrame, "TOPLEFT",104,-28)
	local interaccTex
	if LondCDiceGlobals.stats.legionIcons then interaccTex = "Misc_Legionfall_Mage" else interaccTex="Achievement_Halloween_Smiley_01" end
	btnItem:SetNormalTexture("Interface/ICONS/"..interaccTex)
		btnItem:RegisterForClicks("AnyUp")
		btnItem:SetScript("OnClick",function() 
			LondCDiceGlobals.accion = "interaccion"
			LondCDiceGlobals.useLondCDice = true
			RandomRoll(1, 20)
		end)

--BOTON DE SANACION
	local btnHeal= CreateFrame("Button", "btnHeal",myFrame,"UIPanelButtonTemplate")
	btnHeal:SetSize(30,30)
	btnHeal:SetPoint("TOPLEFT",myFrame, "TOPLEFT",137,-28)
	local healTex
	if LondCDiceGlobals.stats.legionIcons then healTex = "Misc_Legionfall_Druid" else healTex="SPELL_NATURE_HEALINGTOUCH" end
	btnHeal:SetNormalTexture("Interface/ICONS/"..healTex)
		btnHeal:RegisterForClicks("AnyUp")
		btnHeal:SetScript("OnClick",function() 
			LondCDiceGlobals.accion = "sanacion"
			LondCDiceGlobals.useLondCDice = true
			RandomRoll(1, LondCDiceGlobals.stats.interaccion)
		end)


--BOTON DE DADOS
	local btnDice= CreateFrame("Button", "btnDice",myFrame,"UIPanelButtonTemplate")
	btnDice:SetSize(35,30)
	btnDice:SetPoint("TOPLEFT",myFrame, "TOPLEFT",168,-28)
	btnDice:SetText("D20")
		btnDice:RegisterForClicks("AnyUp")
		btnDice:SetScript("OnClick",function() 
			LondCDiceGlobals.useLondCDice = false
			RandomRoll(1, 20)

		end)



---------------------------TABLA DE LOOT

	local myLootFrame = CreateFrame("Frame","myFrame",myConfigFrame,"")
	myLootFrame:SetBackdrop({bgFile = "Interface/Tooltips/CHATBUBBLE-BACKGROUND", 
                               edgeFile = "Interface/Tooltips/UI-Tooltip-Border", 
                               tile = true, tileSize = 16, edgeSize = 16, 
                               insets = { left = 4, right = 4, top = 4, bottom = 4 }});
	myLootFrame:SetBackdropColor(0,0,0,1);
	myLootFrame:ClearAllPoints()
	myLootFrame:SetPoint("LEFT",myConfigFrame,"RIGHT" ,0,0)
	myLootFrame:SetSize(240,170)
	myLootFrame.title = myLootFrame:CreateFontString(nil,"OVERLAY")
	myLootFrame.title:SetFontObject("GameFontHighlight")
	myLootFrame.title:SetPoint("TOPLEFT", myLootFrame, "TOPLEFT", 5, -5)
	myLootFrame.title:SetText("Tabla de subida de estadisticas")
	myLootFrame:Hide();

	myLootFrame.loot = myLootFrame:CreateFontString(nil,"OVERLAY")
	myLootFrame.loot:SetFontObject("GameFontHighlight")
	myLootFrame.loot:SetPoint("TOPLEFT", myLootFrame, "TOPLEFT", 5, -30)
	myLootFrame.loot:SetJustifyH("RIGHT")
	myLootFrame.loot:SetText(lootText(1))

	myLootFrame.loot2 = myLootFrame:CreateFontString(nil,"OVERLAY")
	myLootFrame.loot2:SetFontObject("GameFontHighlight")
	myLootFrame.loot2:SetJustifyH("LEFT")
	myLootFrame.loot2:SetPoint("TOPLEFT", myLootFrame, "TOPLEFT", 30, -30)
	myLootFrame.loot2:SetText(lootText(2))

	myLootFrame.loot3 = myLootFrame:CreateFontString(nil,"OVERLAY")
	myLootFrame.loot3:SetFontObject("GameFontHighlight")
	myLootFrame.loot3:SetPoint("TOPLEFT", myLootFrame, "TOPLEFT", 110, -30)
	myLootFrame.loot3:SetJustifyH("RIGHT")
	myLootFrame.loot3:SetText(lootText(3))

	myLootFrame.loot4 = myLootFrame:CreateFontString(nil,"OVERLAY")
	myLootFrame.loot4:SetFontObject("GameFontHighlight")
	myLootFrame.loot4:SetJustifyH("LEFT")
	myLootFrame.loot4:SetPoint("TOPLEFT", myLootFrame, "TOPLEFT", 135, -30)
	myLootFrame.loot4:SetText(lootText(4))


			--BOTON DE APERTURA LA DE LOOT
	local btnLoot= CreateFrame("Button", "btnLoot",myConfigFrame,"UIPanelButtonTemplate")
	btnLoot:SetSize(50,18)
	btnLoot:SetPoint("CENTER",myConfigFrame, "CENTER",55,-80)
	btnLoot:SetText("Nivel+")
		btnLoot:RegisterForClicks("AnyUp")
		btnLoot:SetScript("OnClick",function() 
			myLootFrame:SetShown(not myLootFrame:IsShown()) 
			
		end)


------------------------------------------------------------
----Ventana de contador de vidas

local hpFrame = CreateFrame("Frame","hpFrame",myFrame,"")
hpFrame:SetBackdrop({bgFile = "Interface/Tooltips/CHATBUBBLE-BACKGROUND", 
                               edgeFile = "Interface/Tooltips/UI-Tooltip-Border", 
                               tile = true, tileSize = 16, edgeSize = 16, 
                               insets = { left = 4, right = 4, top = 4, bottom = 4 }});
hpFrame:SetBackdropColor(0,0,0,1);
	hpFrame:ClearAllPoints()
	hpFrame:SetPoint("BOTTOM",myFrame,"TOP",0,-102)
	hpFrame:SetSize(93,40)
	hpFrame.title = hpFrame:CreateFontString(nil,"OVERLAY")
	hpFrame.title:SetFontObject("GameFontHighlight")
	hpFrame.title:SetPoint("TOPLEFT", hpFrame, "TOPLEFT", 5, -5)
	hpFrame.title:SetText("Contador HP")

	local btnHPmenos= CreateFrame("Button", "btnHPmenos",hpFrame,"UIPanelButtonTemplate")
	btnHPmenos:SetSize(15,15)
	btnHPmenos:SetPoint("CENTER",hpFrame, "CENTER",-35,-8)
	btnHPmenos:SetText("-")
	btnHPmenos:RegisterForClicks("AnyUp")
	btnHPmenos:SetScript("OnClick",function() 
		hpFrame.hp:SetText(tonumber(hpFrame.hp:GetText())-1) 	
	end)

	hpFrame.hp = hpFrame:CreateFontString(nil,"OVERLAY")
	hpFrame.hp:SetFontObject("GameFontHighlight")
	hpFrame.hp:SetPoint("CENTER", hpFrame, "CENTER", -20, -8)
	hpFrame.hp:SetText(LondCDiceGlobals.stats.hp)
	
	local btnHPmas= CreateFrame("Button", "btnHPmenos",hpFrame,"UIPanelButtonTemplate")
	btnHPmas:SetSize(15,15)
	btnHPmas:SetPoint("CENTER",hpFrame, "CENTER",-5,-8)
	btnHPmas:SetText("+")
	btnHPmas:RegisterForClicks("AnyUp")
	btnHPmas:SetScript("OnClick",function() 
		hpFrame.hp:SetText(tonumber(hpFrame.hp:GetText())+1) 	
	end)

	local btnHPreset= CreateFrame("Button", "btnHPmenos",hpFrame,"UIPanelButtonTemplate")
	btnHPreset:SetSize(15,15)
	btnHPreset:SetPoint("CENTER",hpFrame, "CENTER",15,-8)
	btnHPreset:SetText("R")
	btnHPreset:RegisterForClicks("AnyUp")
	btnHPreset:SetScript("OnClick",function() 
		hpFrame.hp:SetText(LondCDiceGlobals.stats.hp) 	
	end)

	local btnHPsay= CreateFrame("Button", "btnHPmenos",hpFrame,"UIPanelButtonTemplate")
	btnHPsay:SetSize(15,15)
	btnHPsay:SetPoint("CENTER",hpFrame, "CENTER",35,-8)
	btnHPsay:SetText("S")
	btnHPsay:RegisterForClicks("AnyUp")
	btnHPsay:SetScript("OnClick",function() 
		local currhp = hpFrame.hp:GetText()
		local hpmsg = " HP: "..currhp.." / "..LondCDiceGlobals.stats.hp
		LondCDiceGlobals.sendMsg(hpmsg)
	end)

-------------------------------------------------
-----------------REGISTRAR COMANDOS---------------

function LondCDiceGlobals.slash_mostrar()
	myFrame:Show()
end

function LondCDiceGlobals.slash_reset()
	myFrame:ClearAllPoints()
   	LondCDiceGlobals.stats.posX = UIParent:GetWidth()/2
	LondCDiceGlobals.stats.posY = UIParent:GetHeight()/2
   	LondCDiceSavedVars.posX=LondCDiceGlobals.stats.posX
   	LondCDiceSavedVars.posY=LondCDiceGlobals.stats.posY
   	myFrame:SetPoint("BOTTOMLEFT",LondCDiceGlobals.stats.posX,LondCDiceGlobals.stats.posY)
end
function LondCDiceGlobals.slash_hp()
	hpFrame:SetShown(not hpFrame:IsShown())
end

end




